Doomsday Engine - Feature #2224

Preload all model textures to avoid stutters during gameplay
2017-03-31 20:31 - skyjake

Status: Closed Start date: 2017-03-31
Priority: Urgent % Done: 100%
Assignee: skyjake

Category: Enhancement

Target version: 2.01

Description

The texture atlases for loaded models should be prepared at an appropriate time, like when loading a map, instead of just-in-time

when the models are first rendered.

Related issues:
Related to Feature #8: New GL2 based model renderer

Closed 2013-10-11

Associated revisions

Revision 8a0d32b9 - 2017-04-09 19:28 - skyjake

Model Renderer: Initialize loaded 3D models during busy mode

To avoid stutters during gameplay, 3D models from all loaded packages
are initialized for rendering during busy mode. This includes copying
the model textures to one or more atlases.

IssuelD #2224

Revision 2e5c8dfc - 2017-04-17 11:27 - skyjake

Model Renderer: Initialize loaded 3D models during busy mode

To avoid stutters during gameplay, 3D models from all loaded packages
are initialized for rendering during busy mode. This includes copying

the model textures to one or more atlases.

IssuelD #2224

History

#1 - 2017-04-02 20:41 - skyjake
- Priority changed from High to Urgent

#2 - 2017-04-08 13:25 - skyjake
- Related to Feature #8: New GL2 based model renderer added

#3 - 2017-04-09 19:29 - skyjake
- Status changed from New to Resolved

- % Done changed from 0 to 100

#4 - 2017-04-17 11:29 - skyjake

- Status changed from Resolved to Closed
